-- Modern

-- Use this function to perform your initial setup
function setup()
    print("Cat Animation")
    
    --Create a scene
    gameWorld = scene.default2d()
    scene.main = gameWorld
    gameWorld.time.autoUpdate = false
    
    --Change the units of the 2d scene
    gameWorld.camera:get(camera).orthoSize = 24
    gameWorld.pixelsPerUnit = 64 
    
    character = gameWorld:entity("cat")
    animator = character:add(SpriteAnimator)
    
    
    
    animator:add("Fly",SpriteAnimation( SpriteAnimation.JSON, {asset.Cat_Animation, asset.Cat}, 24))
    
    animator:play("Fly")
    character.uniformScale = 0.5
    
    
    --tutorial
    --[=[
        SpriteAnimation: two way of loading
    
        1. Json: SpriteAnimation(AnimationType, {JSONfile, JSONFileImage}, framePerSecond)
        2. Raw(just img): SpriteAnimation(AnimationType, img, framePerSecond, numberOfRows, numberOfCols, numOfFrames)
    
        attributes:
    
        frames: imageList                                        - All the individual images of the animation
        fps: number                                              - Frames per second of animation
        fileType: SpriteAnimation.JSON or SpriteAnimation.RAW    - Type of file
    
        SpriteAnimator: 
    
        add: function(nameAnimation, SpriteAnimation)            - adds animation to animator
        getFrameSize: function -> vec2()                         - gets size of current frame in pixels
        getFrameWorldSize: function -> vec2()                    - gets size of current frame in worldSize
        pause: function                                          - pause the current animation
        resume: function                                         - resume the current animation
        goToFrame: function(frameToGoTo)                         - set the frame the animation should be on
        lockAnimation: function                      - lock animation (basically can not play anothor animation
        releaseAnimation: function                   - remove animation from being locked
        getAnimation: function(nameOfAnimation)                  - gets the SpriteAnimation of the animation with the name
        getCurrentAnimation: function                            - gets the SpriteAnimation of current animation
        play: function(animationName)                            - having one parameter play the animation forever (loop)
        play: function(animationName, numTimesLoop)              - plays loop animation a certain number of time
    ]=]
    
end

-- This function gets called once every frame
function draw()
    
    gameWorld:update(time.delta)
    gameWorld:draw()
    
    -- This sets the line thickness
    style.strokeWidth(5)

    -- Do your drawing here
    
end

